Subject: Re: I can only start an X server in guix as root

From: Leo Famulari <[email-masked]>
Date: Mon, 4 Feb 2019 23:31:07 +0100

Hi,

Are you still being affected by this bug? I'm inclined to close it
because almost 2 years have passed and the software in question has
changed considerably in the interim.

Leo

On Thu, Mar 30, 2017 at 01:01:54PM +0000, Joshua Branson wrote:
> Hello,
> 
> I've responded to this email on the guix-bugs emailing list located 
> here: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26158
> 
> I did try a guix system vm /path/to/config-file.scm;  and I could still 
> not log into guixSD.
> 
> I think I might create another guix user.  If I can't login as joshua, 
> perhaps I'll try logging in as "rupert" and see if that works (I'll do 
> this via editing my config file and running guix system reconfigure).
> 
> 
> Thanks,
> 
> 
> Joshua
> 
> 
> On 03/19/2017 05:04 PM, Ludovic Courtès wrote:
> > Hi!
> >
> > "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
> >
> >> So I’m not going to be of much help, but I want to rule out the obvious:
> >> For me most of the time GNOME starts only on the second log-in attempt
> >> on GuixSD. I assume you have tried logging in multiple times in a row?
> > That is weird.  Does ~/.xsession-errors contain any hints after a failed
> > attempt?
> >
> > Also, did you try to reproduce it in a VM as produced by ‘guix system
> > vm’?  If it’s reproducible in a VM, we could start debugging in
> > parallel.  :-)
> >
> > Thanks,
> > Ludo’.
> >
>